Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## infomat.view.grouping.settings
Class GroupingSettings

    java.lang.Object
      infomat.view.grouping.settings.GroupingSettings

    public class GroupingSettings

extends java.lang.Object

Field Summary
`private GroupingColoring` | `coloring`
`private IObjectGrouping` | `grouping`
`private float` | `maxOpacity`
`private float` | `minOpacity`
`private GroupingColoring` | `oldColoring`
`private float` | `oldMaxOpacity`
`private float` | `oldMinOpacity`
`private boolean` | `row`

Constructor Summary
`GroupingSettings(IObjectGrouping grouping, boolean row)`

Method Summary
`boolean` | `coloringChanged()`
`GroupingColoring` | `getColoring()`
`float` | `getMaxOpacity()`
`float` | `getMinOpacity()`
`boolean` | `opacityChanged()`
`void` | `resetOpacities()`
`void` | `setColoring(GroupingColoring coloring)`
`void` | `setMaxOpacity(float maxOpacity)`
`void` | `setMinOpacity(float minOpacity)`
`void` | `setOpacity()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### grouping

    private IObjectGrouping grouping

### row

    private boolean row

### minOpacity

    private float minOpacity

### maxOpacity

    private float maxOpacity

### oldMinOpacity

    private float oldMinOpacity

### oldMaxOpacity

    private float oldMaxOpacity

### coloring

    private GroupingColoring coloring

### oldColoring

    private GroupingColoring oldColoring

Constructor Detail

### GroupingSettings

    public GroupingSettings(IObjectGrouping grouping,
                            boolean row)

Method Detail

### getMinOpacity

    public float getMinOpacity()

### getMaxOpacity

    public float getMaxOpacity()

### setMinOpacity

    public void setMinOpacity(float minOpacity)

### setMaxOpacity

    public void setMaxOpacity(float maxOpacity)

### resetOpacities

    public void resetOpacities()

### opacityChanged

    public boolean opacityChanged()

### setOpacity

    public void setOpacity()

### coloringChanged

    public boolean coloringChanged()

### setColoring

    public void setColoring(GroupingColoring coloring)

### getColoring

    public GroupingColoring getColoring()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD